@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


@import "../support/_promotionenginebackoffice-variables.scss";

/*============================================================================
    Promotions Tab
============================================================================ */
.yrb-potentialproductpromotions {
	dl.promo-productInfo {
		border-right: $promotionengine__potential-promotions-info--border-right;
		padding: $promotionengine__potential-promotions-info--padding;
		float:left;
		width: 100%;

		dt {
			width: $promotionengine__message-param-dt--width;
			float: left;
			clear: left
		}
		dd {
			width: $promotionengine__message-param-dd--width;
			float: left;
			font-weight: bold;
			margin-left: 0;
		}
	}
	&-listbox {
		margin-top: $promotionengine__potential-promotions-listbox--margin-top;
	}
}

.yrb-tabpanel-groupbox-promotions {
	.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-caption {
		.z-label {
			display: block;
			margin: 0;
			padding: 0;
			color: inherit;
			font-size: inherit;
			line-height: inherit;
			padding-right: $promotionengine__promotions-groupbox-caption--padding-right;

			&:after {
				width: $promotionengine__promotions-groupbox-caption-btn-mask--width;
				height: $promotionengine__promotions-groupbox-caption-btn-mask--height;
				position: absolute;
				content: "";
				right: 0;
				top: 0;
				z-index: 1;
			}
		}
		.yw-expandCollapse {
			z-index: 0;
		}
	}
}

.yrb-promo-productInfo-cell {
	width: $promotionengine__product-info-cell--width;
}

.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox.yrb-tabpanel-groupbox-promotions > .z-groupbox-content:empty {
	padding: $promotionengine__promotions-groupbox-empty--padding;
}